as.mask {secr} | R Documentation

## Coerce traps object to mask

### Description

This function is used primarily for plotting covariates, for which the plot.mask function has greater functionality than `plot.traps`. It also generates pretty maps of grid cells.

### Usage

    as.mask(x)

### Arguments

`x` | an object of class 'traps'

### Details

A mask derived by coercion with `as.mask` may behave unpredictably e.g., in `secr.fit`.

### Value

If `x` is a single-session traps object –

an object of class c("mask", "data.frame")

If `x` is a multi-session traps object –

an object of class c("mask", "list"), for which each component is a single-session mask.

### See Also

`make.mask`, `plot.mask`, mask, traps

### Examples

    plot(as.mask(traps(captdata)), dots = FALSE, meshcol = "black")
    plot(traps(captdata), add = TRUE)

[Package secr version 3.2.1 Index]